local L = AceLibrary("AceLocale-2.2"):new("Automaton")

--[[

  I'm not too fond of this global. I expect to remove it in the future.

  If you would like to add your own Quests, Gossips, or Items, simply follow the format provided.
  There are a few things to remember when adding new items: if you use L[], you must also add
  to the localization file (Locale-enUS.lua or whatever). You do not have to use the L[] at all,
  you could simply add ["This is my thing"], instead. All quests are tables, and must be
  ["Quest Name"] = {} if it is to always attempt to hand in the quest, or
  ["Quest Name"] = {
    items = { ["Items Required"] = 1 }, -- number following is how many of the item are required
    priority = 1,  -- higher priority -value- will ensure one quest gets handed in before another
  },               -- IE, 2 is a HIGHER priority than 1. This is not the olympics.

  I will not help if you break this file. Experiment at your own risk. Either way, I encourage you
  to let me know of anything you think should appear here, I would be happy to expand it.

  ]]

AUTOMATON = {}

	AUTOMATON.AUTO_GOSSIP = {
		["banker"] = {},
		["battlemaster"] = {},
		["taxi"] = {},
		["vendor"] = {},
		["trainer"] = {},
		["gossip"] = {
			L["<Touch the unstable rift crystal.>"],
			L["<Place my hand on the orb.>"],
			L["Thank you, Stable Master. Please take the animal."],
			L["With pleasure. These things stink!"],
			L["Trick or Treat!"],
		},
	}

	AUTOMATON.AUTO_QUESTS = {
	-- BG: AV
		[L["Empty Stables"]] = {},                             -- Frostwolf Stable Master, Stormpike Stable Master

	-- BG: AV Horde
		[L["Ram Hide Harnesses"]] = {},                        -- Frostwolf Wolf Rider Commander
		[L["More Booty!"]] = {},                               -- Smith Rezgar
		[L["Lokholar the Ice Lord"]] = {                       -- Primalist Thurloga
			items = { [L["Stormpike Soldier's Blood"]] = 1 },
			priority = 1,
		},
		["A Gallon of Blood"] = {                           -- Primalist Thurloga
			items = { [L["Stormpike Soldier's Blood"]] = 5 },
			priority = 2,
		},
		[L["Coldtooth Supplies"]] = {
			items = { [L["Coldtooth Supplies"]] = 10 },
		},
		["Irondeep Supplies"] = {
			items = { [L["Irondeep Supplies"]] = 10 },
		},
		[L["Call of Air - Guse's Fleet"]] = {},                -- Wing Commander Guse
		[L["Call of Air - Jeztor's Fleet"]] = {},              -- Wing Commander Jeztor
		[L["Call of Air - Mulverick's Fleet"]] = {},           -- Wing Commander Mulverick

	-- BG Horde Mark of honor
		[L["For Great Honor"]] = {                             -- Orgrimmar, Horde Warbringer
			items = {
				[L["Alterac Valley Mark of Honor"]] = 3,
				[L["Arathi Basin Mark of Honor"]]   = 3,
				[L["Warsong Gulch Mark of Honor"]]  = 3,
			},
			priority = 2,
		},
		[L["Conquering Arathi Basin"]] = {                          -- Orgrimmar, Horde Warbringer
			items = { [L["Arathi Basin Mark of Honor"]] = 3 },
			priority = 1,
		},
		[L["Invaders of Alterac Valley"]] = {                         -- Orgrimmar, Horde Warbringer
			items = { [L["Alterac Valley Mark of Honor"]] = 3 },
			priority = 1,
		},
		[L["Battle of Warsong Gulch"]] = {                         -- Orgrimmar, Horde Warbringer
			items = { [L["Warsong Gulch Mark of Honor"]] = 3 },
			priority = 1,
		},

	-- BG AV Alliance
		[L["Ram Riding Harnesses"]] = {},                      -- Stormpike Ram Rider Commander
		[L["More Armor Scraps"]] = {},                         -- Murgot Deepforge
		[L["Ivus the Forest Lord"]] = {                        -- Arch Druid Renferal
			items = { [L["Storm Crystal"]] = 1 },
			priority = 1,
		},
		[L["Crystal Cluster"]] = {                             -- Arch Druid Renferal
			items = { [L["Storm Crystal"]] = 5 },
			priority = 2,
		},
		[L["Coldtooth Supplies"]] = {
			items = { [L["Coldtooth Supplies"]] = 10 },
		},
		[L["Irondeep Supplies"]] = {
			items = { [L["Irondeep Supplies"]] = 10 },
		},
		[L["Call of Air - Slidore's Fleet"]] = {},             -- Wing Commander Slidore
		[L["Call of Air - Vipore's Fleet"]] = {},              -- Wing Commander Vipore
		[L["Call of Air - Ichman's Fleet"]] = {},              -- Wing Commander Ichman

	-- BG Alliance Mark of honor
		[L["Concerted Efforts"]] = {                           -- Ironforge, Alliance Brigadier General
			items = {
				[L["Alterac Valley Mark of Honor"]] = 3,
				[L["Arathi Basin Mark of Honor"]]   = 3,
				[L["Warsong Gulch Mark of Honor"]]  = 3,
			},
			priority = 2,
		},
		[L["Claiming Arathi Basin"]] = {                      -- Ironforge, Alliance Brigadier General
			items = { [L["Arathi Basin Mark of Honor"]] = 3 },
			priority = 1,
		},
		[L["Remember Alterac Valley!"]] = {                           -- Ironforge, Alliance Brigadier General
			items = { [L["Alterac Valley Mark of Honor"]] = 3 },
			priority = 1,
		},
		[L["Fight for Warsong Gultch"]] = {                            -- Ironforge, Alliance Brigadier General
			items = { [L["Warsong Gulch Mark of Honor"]] = 3 },
			priority = 1,
		},

	-- Felwood salves
		[L["Salve via Gathering"]] = {
			items = { [L["Fel Creep"]] = 4 },
			priority = 1,
		},
		[L["Salve via Mining"]] = {
			items = { [L["Tainted Vitriol"]] = 4 },
			priority = 1,
		},
		[L["Salve via Skinning"]] = {
			items = { [L["Patch of Tainted Skin"]] = 5 },
			priority = 1,
		},
		[L["Salve via Hunting"]] = {
			items = { [L["Corrupted Soul Shard"]] = 6 },
			priority = 1,
		},
		[L["Salve via Disenchanting"]] = {
			items = { [L["Lesser Nether Essence"]] = 1 },
			priority = 1,
		},

	-- Ravenholdt
		[L["Syndicate Emblems"]] = {
			items = { [L["Syndicate Emblem"]] = 1 },
		},
	}

	AUTOMATON.AUTO_TRADE = {
		["Accept"] = {
			L["Conjured Crystal Water"],
			L["Conjured Sparkling Water"],
			L["Conjured Mineral Water"],
			L["Conjured Spring Water"],
			L["Conjured Sweet Roll"],
			L["Conjured Sourdough"],
			L["Conjured Pumpernickel"],
			L["Major Healthstone"],
			L["Greater Healthstone"],
			L["Healthstone"],
			L["Wild Thornroot"],
			L["Arcane Powder"],
			L["Holy Candle"],
			L["Sacred Candle"],
			L["Ankh"],
			L["Rune of Portals"],
			L["Symbol of Divinity"],
			L["Symbol of Kings"],
			L["Ironwood Seed"],
			},
	}